﻿using System;
using System.Collections.Generic;
using System.Text;

namespace VEarth
{
    public class RouteLeg
    {
        #region Properties
        private double duration = 0;

        /// <summary>
        /// Time between two waypoints in a route  (format is hh:mm:ss)
        /// </summary>
        public double Duration
        {
            get { return duration; }
            set { duration = value; }
        }

        private decimal distance = 0;

        /// <summary>
        /// Distance in miles or kilometers of this part of the route
        /// </summary>
        public decimal Distance
        {
            get { return distance; }
            set { distance = value; }
        }

        private string description = String.Empty;

        public string Description
        {
            get { return description; }
            set { description = value; }
        }
        #endregion

        #region Constructors
        public RouteLeg()
        {
        }

        public RouteLeg(string description, double duration, decimal distance)
        {
            this.description = description;
            this.duration = duration;
            this.distance = distance;
        }
        #endregion
    }
}
